> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a numbering provider to an organization

> Create a new numbering provider configuration for an organization – Reseller/Partner only.



## OpenAPI

````yaml post /api/v2/numberingProvider
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/numberingProvider:
    post:
      tags:
        - Phone Numbers
      summary: Add a numbering provider to an organization
      description: >-
        Create a new numbering provider configuration for an organization –
        Reseller/Partner only.
      parameters:
        - name: targetOrganizationId
          in: query
          description: Target Organization Id to update settings for
          required: true
          example: XXXXXXX
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - providerId
                - config
              properties:
                providerId:
                  type: string
                  example: Twilio
                default:
                  type: boolean
                  example: false
                enabled:
                  type: boolean
                  example: true
                config:
                  type: object
                  additionalProperties:
                    type: string
                  example:
                    twilioAccountSid: ACxxxx
                    twilioAuthToken: tokenxxxx
      responses:
        '200':
          description: Numbering provider added
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Numbering provider added
        '400':
          description: Validation or duplication error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Numbering provider already exists
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````